Create a transfer

Move money by providing the source, destination, and amount in the request body.

Read our transfers overview guide to learn more.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.write scope.

POST
/accounts/{accountID}/transfers
curl -X POST "https://api.moov.io/accounts/{accountID}/transfers" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.10.00" \
  -d '{
  "source": {
    "paymentMethodID": "9506dbf6-4208-44c3-ad8a-e4431660e1f2"
  },
  "destination": {
    "paymentMethodID": "3f9969cf-a1f3-4d83-8ddc-229a506651cf"
  },
  "amount": {
    "currency": "USD",
    "valueDecimal": "329.45"
  },
  "amountDetails": {
    "tip": {
      "currency": "USD",
      "valueDecimal": "3.50"
    },
    "tax": {
      "currency": "USD",
      "valueDecimal": "8.25"
    }
  },
  "description": "Transfer from card to wallet",
  "metadata": {
    "optional": "metadata"
  }
}'
mc, _ := moov.NewClient()

var accountID string // Partner account

mc.CreateTransfer(ctx, accountID, moov.CreateTransfer{
  Amount: moov.Amount{
    Currency: "USD",
    Value:    100, // $1.00
  },
  Destination: moov.CreateTransfer_Destination{
    PaymentMethodID: "string",
  },
  Source: moov.CreateTransfer_Source{
    PaymentMethodID: "string",
  },
  Description: "Optional transaction description.",
})
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.transfers.create({
    xIdempotencyKey: "d6903402-776f-48d6-8fba-0358959d34e5",
    accountID: "ea9f2225-403b-4e2c-93b0-0eda090ffa65",
    createTransfer: {
      source: {
        paymentMethodID: "9506dbf6-4208-44c3-ad8a-e4431660e1f2",
      },
      destination: {
        paymentMethodID: "3f9969cf-a1f3-4d83-8ddc-229a506651cf",
      },
      amount: {
        currency: "USD",
        valueDecimal: "329.45",
      },
      description: "Transfer from card to wallet",
      metadata: {
        "optional": "metadata",
      },
      amountDetails: {
        tip: {
          currency: "USD",
          valueDecimal: "3.50",
        },
        tax: {
          currency: "USD",
          valueDecimal: "8.25",
        },
      },
    },
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$createTransfer = new Components\CreateTransfer(
    source: new Components\CreateTransferSource(
        paymentMethodID: '9506dbf6-4208-44c3-ad8a-e4431660e1f2',
    ),
    destination: new Components\CreateTransferDestination(
        paymentMethodID: '3f9969cf-a1f3-4d83-8ddc-229a506651cf',
    ),
    amount: new Components\AmountDecimal(
        currency: 'USD',
        valueDecimal: '329.45',
    ),
    description: 'Transfer from card to wallet',
    metadata: [
        'optional' => 'metadata',
    ],
    amountDetails: new Components\CreateTransferAmountDetails(
        tip: new Components\AmountDecimal(
            currency: 'USD',
            valueDecimal: '3.50',
        ),
        tax: new Components\AmountDecimal(
            currency: 'USD',
            valueDecimal: '8.25',
        ),
    ),
);

$response = $sdk->transfers->create(
    xIdempotencyKey: 'd6903402-776f-48d6-8fba-0358959d34e5',
    accountID: 'ea9f2225-403b-4e2c-93b0-0eda090ffa65',
    createTransfer: $createTransfer

);

if ($response->createdTransfer !== null) {
    // handle response
}
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.*;
import io.moov.sdk.models.errors.*;
import io.moov.sdk.models.operations.CreateTransferResponse;
import java.lang.Exception;
import java.util.Map;

public class Application {

    public static void main(String[] args) throws GenericError, Transfer, TransferValidationError, Exception {

        Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        CreateTransferResponse res = sdk.transfers().create()
                .xIdempotencyKey("d6903402-776f-48d6-8fba-0358959d34e5")
                .accountID("ea9f2225-403b-4e2c-93b0-0eda090ffa65")
                .createTransfer(CreateTransfer.builder()
                    .source(CreateTransferSource.builder()
                        .paymentMethodID("9506dbf6-4208-44c3-ad8a-e4431660e1f2")
                        .build())
                    .destination(CreateTransferDestination.builder()
                        .paymentMethodID("3f9969cf-a1f3-4d83-8ddc-229a506651cf")
                        .build())
                    .amount(AmountDecimal.builder()
                        .currency("USD")
                        .valueDecimal("329.45")
                        .build())
                    .description("Transfer from card to wallet")
                    .metadata(Map.ofEntries(
                        Map.entry("optional", "metadata")))
                    .amountDetails(CreateTransferAmountDetails.builder()
                        .tip(AmountDecimal.builder()
                            .currency("USD")
                            .valueDecimal("3.50")
                            .build())
                        .tax(AmountDecimal.builder()
                            .currency("USD")
                            .valueDecimal("8.25")
                            .build())
                        .build())
                    .build())
                .call();

        if (res.createdTransfer().isPresent()) {
            System.out.println(res.createdTransfer().get());
        }
    }
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.transfers.create(x_idempotency_key="d6903402-776f-48d6-8fba-0358959d34e5", account_id="ea9f2225-403b-4e2c-93b0-0eda090ffa65", source={
        "payment_method_id": "9506dbf6-4208-44c3-ad8a-e4431660e1f2",
    }, destination={
        "payment_method_id": "3f9969cf-a1f3-4d83-8ddc-229a506651cf",
    }, amount={
        "currency": "USD",
        "value_decimal": "329.45",
    }, facilitator_fee=components.CreateTransferFacilitatorFee(
        total=components.AmountDecimal(
            currency="USD",
            value_decimal="12.987654321",
        ),
        markup=components.AmountDecimal(
            currency="USD",
            value_decimal="12.987654321",
        ),
    ), description="Transfer from card to wallet", metadata={
        "optional": "metadata",
    }, line_items={
        "items": [
            {
                "name": "<value>",
                "base_price": {
                    "currency": "USD",
                    "value_decimal": "12.987654321",
                },
                "quantity": 666094,
                "options": [
                    {
                        "name": "<value>",
                        "quantity": 611009,
                        "price_modifier": {
                            "currency": "USD",
                            "value_decimal": "12.987654321",
                        },
                    },
                ],
            },
        ],
    }, amount_details=components.CreateTransferAmountDetails(
        tip=components.AmountDecimal(
            currency="USD",
            value_decimal="3.50",
        ),
        tax=components.AmountDecimal(
            currency="USD",
            value_decimal="8.25",
        ),
    ))

    # Handle response
    print(res)
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.transfers.create(x_idempotency_key: 'd6903402-776f-48d6-8fba-0358959d34e5', account_id: 'ea9f2225-403b-4e2c-93b0-0eda090ffa65', create_transfer: Models::Components::CreateTransfer.new(
  source: Models::Components::CreateTransferSource.new(
    payment_method_id: '9506dbf6-4208-44c3-ad8a-e4431660e1f2'
  ),
  destination: Models::Components::CreateTransferDestination.new(
    payment_method_id: '3f9969cf-a1f3-4d83-8ddc-229a506651cf'
  ),
  amount: Models::Components::AmountDecimal.new(
    currency: 'USD',
    value_decimal: '329.45'
  ),
  description: 'Transfer from card to wallet',
  metadata: {
    'optional' => 'metadata',
  },
  amount_details: Models::Components::CreateTransferAmountDetails.new(
    tip: Models::Components::AmountDecimal.new(
      currency: 'USD',
      value_decimal: '3.50'
    ),
    tax: Models::Components::AmountDecimal.new(
      currency: 'USD',
      value_decimal: '8.25'
    )
  )
))

unless res.created_transfer.nil?
  # handle response
end
using Moov.Sdk;
using Moov.Sdk.Models.Components;
using System.Collections.Generic;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Transfers.CreateAsync(
    xIdempotencyKey: "d6903402-776f-48d6-8fba-0358959d34e5",
    accountID: "ea9f2225-403b-4e2c-93b0-0eda090ffa65",
    body: new CreateTransfer() {
        Source = new CreateTransferSource() {
            PaymentMethodID = "9506dbf6-4208-44c3-ad8a-e4431660e1f2",
        },
        Destination = new CreateTransferDestination() {
            PaymentMethodID = "3f9969cf-a1f3-4d83-8ddc-229a506651cf",
        },
        Amount = new AmountDecimal() {
            Currency = "USD",
            ValueDecimal = "329.45",
        },
        Description = "Transfer from card to wallet",
        Metadata = new Dictionary<string, string>() {
            { "optional", "metadata" },
        },
        AmountDetails = new CreateTransferAmountDetails() {
            Tip = new AmountDecimal() {
                Currency = "USD",
                ValueDecimal = "3.50",
            },
            Tax = new AmountDecimal() {
                Currency = "USD",
                ValueDecimal = "8.25",
            },
        },
    }
);

// handle response
The request completed successfully.
application/json
{
  "createdOn": "2025-01-21T21:32:16Z",
  "options": {},
  "processingDetails": {},
  "transferID": "d835gf30-4b19-4850-a9b2-c0624c41ecb3",
  "transferType": "wallet"
}
{
  "createdOn": "2025-01-21T21:32:16Z",
  "description": "Transfer from card to wallet",
  "destination": {
    "account": {
      "accountID": "34233b72-780c-4a0d-8b08-cbbe23k878f8",
      "displayName": "Whole Body Fitness",
      "email": "john@wholebodyfitness.io"
    },
    "paymentMethodID": "3f9969cf-a1f3-4d83-8ddc-229a506651cf",
    "paymentMethodType": "moov-wallet",
    "wallet": {
      "partnerAccountID": "65b57f28-49e9-4afb-9bf6-7e4fb6444917",
      "walletID": "744b2e78-8cc8-4a6a-af42-611e3b844503",
      "walletType": "general"
    }
  },
  "options": {
    "cardPayment": {
      "dynamicDescriptor": "WhlBdy *Yoga 11-12"
    }
  },
  "processingDetails": {
    "cardPayment": {
      "status": "confirmed"
    }
  },
  "source": {
    "account": {
      "accountID": "7e4b26c2-b399-49ef-8390-50e1ea44d550",
      "displayName": "Jules Jackson",
      "email": "jules@julesjackson.com"
    },
    "card": {
      "billingAddress": {
        "postalCode": "80301"
      },
      "bin": "400020",
      "brand": "Visa",
      "cardAccountUpdater": {},
      "cardID": "aefd5563-93c6-413c-875e-1bd0ebfc116d",
      "cardType": "credit",
      "cardVerification": {
        "accountName": {
          "firstName": "unavailable",
          "fullName": "unavailable",
          "lastName": "unavailable",
          "middleName": "unavailable"
        },
        "addressLine1": "unavailable",
        "cvv": "unavailable",
        "postalCode": "unavailable"
      },
      "domesticPullFromCard": "supported",
      "domesticPushToCard": "standard",
      "expiration": {
        "month": "01",
        "year": "28"
      },
      "fingerprint": "2f5d782ceef1c3bd31ed5...",
      "holderName": "Jules Jackson",
      "issuer": "Moov Visa Sandbox",
      "issuerCountry": "US",
      "lastFourCardNumber": "2000"
    },
    "paymentMethodID": "9506dbf6-4208-44c3-ad8a-e4431660e1f2",
    "paymentMethodType": "card-payment"
  },
  "status": "pending",
  "transferID": "d835gf30-4b19-4850-a9b2-c0624c41ecb3",
  "transferType": "card-payment"
}

x-request-id

string required
A unique identifier used to trace requests.
A transfer was successfully created but an error occurred while generating the synchronous response. The asynchronous response object will be returned.
application/json
{
  "transferID": "string",
  "createdOn": "2019-08-24T14:15:22Z"
}

x-request-id

string required
A unique identifier used to trace requests.
The transfer was created, but rail-specific details may not be available within the 15 second timeout window.
application/json
{
  "amount": {
    "currency": "USD",
    "valueDecimal": "329.45"
  },
  "amountDetails": {
    "tax": {
      "currency": "USD",
      "valueDecimal": "8.25"
    },
    "tip": {
      "currency": "USD",
      "valueDecimal": "3.50"
    }
  },
  "createdOn": "2025-01-21T21:32:16Z",
  "description": "Transfer from card to wallet",
  "destination": {
    "account": {
      "accountID": "34233b72-780c-4a0d-8b08-cbbe23k878f8",
      "displayName": "Whole Body Fitness",
      "email": "john@wholebodyfitness.io"
    },
    "paymentMethodID": "3f9969cf-a1f3-4d83-8ddc-229a506651cf",
    "paymentMethodType": "moov-wallet",
    "wallet": {
      "partnerAccountID": "65b57f28-49e9-4afb-9bf6-7e4fb6444917",
      "walletID": "744b2e78-8cc8-4a6a-af42-611e3b844503",
      "walletType": "general"
    }
  },
  "moovFees": [
    {
      "accountID": "7e4b26c2-b399-49ef-8390-50e1ea44d550",
      "feeIDs": [
        "9d957d33-1a9a-47aa-9460-fe1a90f003dd"
      ],
      "totalAmount": {
        "currency": "USD",
        "valueDecimal": "0.10"
      },
      "transferParty": "source"
    }
  ],
  "options": {
    "cardPayment": {
      "dynamicDescriptor": "WhlBdy *Yoga 11-12"
    }
  },
  "processingDetails": {
    "cardPayment": {
      "authorizationCode": "A1B2C3",
      "networkTransactionID": "123456789012345",
      "status": "confirmed"
    }
  },
  "source": {
    "account": {
      "accountID": "7e4b26c2-b399-49ef-8390-50e1ea44d550",
      "displayName": "Jules Jackson",
      "email": "jules@julesjackson.com"
    },
    "card": {
      "billingAddress": {
        "postalCode": "80301"
      },
      "bin": "400020",
      "brand": "Visa",
      "cardAccountUpdater": {},
      "cardID": "aefd5563-93c6-413c-875e-1bd0ebfc116d",
      "cardType": "credit",
      "cardVerification": {
        "accountName": {
          "firstName": "unavailable",
          "fullName": "unavailable",
          "lastName": "unavailable",
          "middleName": "unavailable"
        },
        "addressLine1": "unavailable",
        "cvv": "unavailable",
        "postalCode": "unavailable"
      },
      "domesticPullFromCard": "supported",
      "domesticPushToCard": "standard",
      "expiration": {
        "month": "01",
        "year": "28"
      },
      "fingerprint": "2f5d782ceef1c3bd31ed5...",
      "holderName": "Jules Jackson",
      "issuer": "Moov Visa Sandbox",
      "issuerCountry": "US",
      "lastFourCardNumber": "2000"
    },
    "paymentMethodID": "9506dbf6-4208-44c3-ad8a-e4431660e1f2",
    "paymentMethodType": "card-payment"
  },
  "status": "pending",
  "transferID": "d835gf30-4b19-4850-a9b2-c0624c41ecb3",
  "transferType": "card-payment"
}

x-request-id

string required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
application/json
{
  "error": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
Attempted to create a transfer using a duplicate X-Idempotency-Key header.
application/json
{
  "amount": {
    "currency": "USD",
    "valueDecimal": "329.45"
  },
  "amountDetails": {
    "tax": {
      "currency": "USD",
      "valueDecimal": "8.25"
    },
    "tip": {
      "currency": "USD",
      "valueDecimal": "3.50"
    }
  },
  "createdOn": "2025-01-21T21:32:16Z",
  "description": "Transfer from card to wallet",
  "destination": {
    "account": {
      "accountID": "34233b72-780c-4a0d-8b08-cbbe23k878f8",
      "displayName": "Whole Body Fitness",
      "email": "john@wholebodyfitness.io"
    },
    "paymentMethodID": "3f9969cf-a1f3-4d83-8ddc-229a506651cf",
    "paymentMethodType": "moov-wallet",
    "wallet": {
      "partnerAccountID": "65b57f28-49e9-4afb-9bf6-7e4fb6444917",
      "walletID": "744b2e78-8cc8-4a6a-af42-611e3b844503",
      "walletType": "general"
    }
  },
  "moovFees": [
    {
      "accountID": "7e4b26c2-b399-49ef-8390-50e1ea44d550",
      "feeIDs": [
        "9d957d33-1a9a-47aa-9460-fe1a90f003dd"
      ],
      "totalAmount": {
        "currency": "USD",
        "valueDecimal": "0.10"
      },
      "transferParty": "source"
    }
  ],
  "options": {
    "cardPayment": {
      "dynamicDescriptor": "WhlBdy *Yoga 11-12"
    }
  },
  "processingDetails": {
    "cardPayment": {
      "authorizationCode": "A1B2C3",
      "networkTransactionID": "123456789012345",
      "status": "confirmed"
    }
  },
  "source": {
    "account": {
      "accountID": "7e4b26c2-b399-49ef-8390-50e1ea44d550",
      "displayName": "Jules Jackson",
      "email": "jules@julesjackson.com"
    },
    "card": {
      "billingAddress": {
        "postalCode": "80301"
      },
      "bin": "400020",
      "brand": "Visa",
      "cardAccountUpdater": {},
      "cardID": "aefd5563-93c6-413c-875e-1bd0ebfc116d",
      "cardType": "credit",
      "cardVerification": {
        "accountName": {
          "firstName": "unavailable",
          "fullName": "unavailable",
          "lastName": "unavailable",
          "middleName": "unavailable"
        },
        "addressLine1": "unavailable",
        "cvv": "unavailable",
        "postalCode": "unavailable"
      },
      "domesticPullFromCard": "supported",
      "domesticPushToCard": "standard",
      "expiration": {
        "month": "01",
        "year": "28"
      },
      "fingerprint": "2f5d782ceef1c3bd31ed5...",
      "holderName": "Jules Jackson",
      "issuer": "Moov Visa Sandbox",
      "issuerCountry": "US",
      "lastFourCardNumber": "2000"
    },
    "paymentMethodID": "9506dbf6-4208-44c3-ad8a-e4431660e1f2",
    "paymentMethodType": "card-payment"
  },
  "status": "pending",
  "transferID": "d835gf30-4b19-4850-a9b2-c0624c41ecb3",
  "transferType": "card-payment"
}

x-request-id

string required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
application/json
{
  "amount": "string",
  "source": "string",
  "sourcePaymentMethodID": "string",
  "destinationPaymentMethodID": "string",
  "description": "string",
  "FacilitatorFee.TotalDecimal": "string",
  "FacilitatorFee.MarkupDecimal": "string",
  "metadata": "string",
  "foreignID": "string",
  "lineItems": {
    "items": {
      "property1": {
        "productID": "string",
        "name": "string",
        "basePrice": {
          "currency": "string",
          "valueDecimal": "string"
        },
        "options": {
          "property1": {
            "name": "string",
            "group": "string",
            "priceModifier": {
              "currency": "string",
              "valueDecimal": "string"
            },
            "quantity": "string",
            "imageIDs": "string"
          },
          "property2": {
            "name": "string",
            "group": "string",
            "priceModifier": {
              "currency": "string",
              "valueDecimal": "string"
            },
            "quantity": "string",
            "imageIDs": "string"
          }
        },
        "quantity": "string",
        "imageIDs": "string"
      },
      "property2": {
        "productID": "string",
        "name": "string",
        "basePrice": {
          "currency": "string",
          "valueDecimal": "string"
        },
        "options": {
          "property1": {
            "name": "string",
            "group": "string",
            "priceModifier": {
              "currency": "string",
              "valueDecimal": "string"
            },
            "quantity": "string",
            "imageIDs": "string"
          },
          "property2": {
            "name": "string",
            "group": "string",
            "priceModifier": {
              "currency": "string",
              "valueDecimal": "string"
            },
            "quantity": "string",
            "imageIDs": "string"
          }
        },
        "quantity": "string",
        "imageIDs": "string"
      }
    }
  },
  "amountDetails": {
    "tip": "string",
    "tax": "string",
    "surcharge": "string"
  }
}

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string
Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, v2026.08.00 uses v2026.07.00. A malformed value, such as 2022, returns a 404 response.
Possible values: v2026.10.00

x-idempotency-key

string required
Identifies a unique request to create a transfer. In order to avoid creating duplicate transfers, the same idempotency key should be reused when retrying a request.

x-wait-for

string
Optional header that indicates whether to return a synchronous response that includes full transfer and rail-specific details or an asynchronous response indicating the transfer was created (this is the default response if the header is omitted). A timeout will occur after 15 seconds.
Possible values: rail-response

Path parameters

accountID

string required
Your Moov account ID.

Body

application/json

amount

object required
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

destination

object required
The final stage of a transfer and the ultimate recipient of the funds.
Show child attributes

paymentMethodID

string required

achDetails

object
Show child attributes

addenda

array<object>
Show child attributes

record

string <=80 characters
The raw ACH addenda record. Must only contain valid NACHA characters

companyEntryDescription

string [4 to 10] characters
An optional override of the default NACHA company entry description for a transfer.

originatingCompanyName

string [4 to 16] characters
An optional override of the default NACHA company name for a transfer.

cardDetails

object
Show child attributes

dynamicDescriptor

string [4 to 22] characters
An optional override of the default card statement descriptor for a transfer. Accounts must be enabled by Moov to set this field.

payoutType

string
An optional field to specify the type of card payout, used to route the transfer with the appropriate business application identifier (BAI).
Specifies the type of card payout for push-to-card transfers, used to determine the business application identifier (BAI) sent to the card network.
Possible values: loyalty

scheduledDeliveryOn

string<date-time>
The scheduled date and time for the transfer to be delivered. This field is only valid for push-to-card transfers. Must be between 24 and 48 hours in the future in production. In sandbox mode, any future time up to 48 hours is accepted so integrations can test deferred delivery using the sandbox test cards with relaxed wait times.

wireDetails

object
Wire-specific options supplied when creating a transfer.
Show child attributes

beneficiaryReference

string <=15 characters
Optional beneficiary reference for the wire transfer. Maximum 15 characters.

source

object required
Where funds for a transfer originate. For the source, you must include either a paymentMethodID or a transferID.
Show child attributes

achDetails

object
Show child attributes

addenda

array<object>
Show child attributes

record

string <=80 characters
The raw ACH addenda record. Must only contain valid NACHA characters

companyEntryDescription

string [4 to 10] characters
An optional override of the default NACHA company entry description for a transfer.

debitHoldPeriod

string<enum>
An optional override of your default ACH hold period in banking days. The hold period must be longer than or equal to your default setting.
Possible values: no-hold, 1-day, 2-days

originatingCompanyName

string [4 to 16] characters
An optional override of the default NACHA company name for a transfer.

secCode

string<enum>
Code used to identify the ACH authorization method.
Possible values: WEB, PPD, CCD, TEL

cardDetails

object
Show child attributes

dynamicDescriptor

string [4 to 22] characters
An optional override of the default card statement descriptor for a transfer. Accounts must be enabled by Moov to set this field.

transactionSource

string<enum>

Specifies the nature and initiator of a transaction.

Crucial for recurring and merchant-initiated transactions as per card scheme rules. Omit for customer-initiated e-commerce transactions.

Possible values: first-recurring, recurring, unscheduled

paymentMethodID

string

paymentToken

string

transferID

string
A transferID is used to create a transfer group, associating the new transfer with a parent transfer.

amountDetails

object
Show child attributes

surcharge

object
The amount of surcharge applied to the transfer.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

tax

object
The amount of tax applied to the transfer.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

tip

object
The amount of tip applied to the transfer.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

description

string <=256 characters
An optional description of the transfer that is used on receipts and for your own internal use.

facilitatorFee

object
Total or markup fee to apply when creating a transfer.
Show child attributes

markup

object
Markup facilitator fee. Only either total or markup can be set.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

total

object
Total facilitator fee. Only either total or markup can be set.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

feePaidBy

object
Indicates which party bears fees for a transfer, keyed by fee type.
Show child attributes

payout

string
Defaults to source.
Possible values: source, destination

foreignID

string
Optional alias from a foreign/external system which can be used to reference this resource.

lineItems

object
An optional collection of line items for a transfer. When line items are provided, their total plus tax must equal the transfer amount.
Show child attributes

items

array<object> required
The list of line items.
Show child attributes

basePrice

object
The base price of the item before applying option modifiers.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

imageIDs

array<string> deprecated
Optional list of images associated with this line item. This field is being deprecated in favor using the images associated with a productID and will soon be unsupported.

name

string [1 to 150] characters
The name of the item.

options

array<object>
Optional list of modifiers applied to this item (e.g., toppings, upgrades, customizations).
Show child attributes

group

string <=100 characters
Optional group identifier to categorize related options (e.g., 'toppings').

imageIDs

array<string> deprecated
Optional list of images associated with this line item option. This field is being deprecated in favor using the images associated with a productID and will soon be unsupported.

name

string [1 to 150] characters
The name of the option or modifier.

priceModifier

object
Optional price modification applied by this option. Can be positive, negative, or zero.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

quantity

integer<int32>
The quantity of this option.

productID

string
Optional unique identifier associating the line item with a product. This is for reporting or tracking purposes, and does not populate other details of the line item.

quantity

integer<int32>
The quantity of this item.

metadata

object
Free-form key-value pair list. Useful for storing information that is not captured elsewhere.

Response

application/json

createdOn

string<date-time> required

options

object required
Show child attributes

achCredit

object
Show child attributes

addenda

array<object>
Show child attributes

isMasked

boolean
Flag indicating whether or not this record has been masked

record

string <=80 characters
The ACH addenda record, which may have masked PII

companyEntryDescription

string [4 to 10] characters
An optional override of the default NACHA company entry description for a transfer.

originatingCompanyName

string [4 to 16] characters
An optional override of the default NACHA company name for a transfer.

achDebit

object
Show child attributes

addenda

array<object>
Show child attributes

isMasked

boolean
Flag indicating whether or not this record has been masked

record

string <=80 characters
The ACH addenda record, which may have masked PII

companyEntryDescription

string [4 to 10] characters
An optional override of the default NACHA company entry description for a transfer.

debitHoldPeriod

string<enum>
An optional override of your default ACH hold period in banking days. The hold period must be longer than or equal to your default setting.
Possible values: no-hold, 1-day, 2-days

originatingCompanyName

string [4 to 16] characters
An optional override of the default NACHA company name for a transfer.

secCode

string<enum>
Code used to identify the ACH authorization method.
Possible values: WEB, PPD, CCD, TEL

cardPayment

object
Show child attributes

dynamicDescriptor

string [4 to 22] characters
An optional override of the default card statement descriptor for a transfer. Accounts must be enabled by Moov to set this field.

transactionSource

string<enum>

Specifies the nature and initiator of a transaction.

Crucial for recurring and merchant-initiated transactions as per card scheme rules. Omit for customer-initiated e-commerce transactions.

Possible values: first-recurring, recurring, unscheduled

pullFromCard

object
Show child attributes

dynamicDescriptor

string [4 to 22] characters
An optional override of the default card statement descriptor for a transfer. Accounts must be enabled by Moov to set this field.

transactionSource

string<enum>

Specifies the nature and initiator of a transaction.

Crucial for recurring and merchant-initiated transactions as per card scheme rules. Omit for customer-initiated e-commerce transactions.

Possible values: first-recurring, recurring, unscheduled

pushToCard

object
Show child attributes

dynamicDescriptor

string [4 to 22] characters
An optional override of the default card statement descriptor for a transfer. Accounts must be enabled by Moov to set this field.

wire

object
Wire-specific options returned on a transfer.
Show child attributes

beneficiaryReference

string <=15 characters
Optional beneficiary reference for the wire transfer. Maximum 15 characters.

processingDetails

object required
Show child attributes

achCredit

object
Show child attributes

status

string<enum> required
Status of a transaction within the ACH lifecycle.
Possible values: , initiated, originated, corrected, returned, completed, canceled

traceNumber

string <=15 characters required

correction

object
Show child attributes

code

string

description

string

reason

string

return

object
Show child attributes

code

string

description

string

reason

string

achDebit

object
Show child attributes

status

string<enum> required
Status of a transaction within the ACH lifecycle.
Possible values: , initiated, originated, corrected, returned, completed, canceled

traceNumber

string <=15 characters required

correction

object
Show child attributes

code

string

description

string

reason

string

return

object
Show child attributes

code

string

description

string

reason

string

cardPayment

object
Show child attributes

authorizationCode

string

failureCode

string<enum>
Possible values: call-issuer, do-not-honor, processing-error, invalid-transaction, invalid-amount, no-such-issuer, reenter-transaction, cvv-mismatch, lost-or-stolen, insufficient-funds, invalid-card-number, invalid-merchant, expired-card, incorrect-pin, transaction-not-allowed, suspected-fraud, amount-limit-exceeded, velocity-limit-exceeded, revocation-of-authorization, card-not-activated, issuer-not-available, could-not-route, cardholder-account-closed, account-closed, account-not-activated, authentication-failed, authentication-required, cardholder-action-required, format-error, invalid-pin, offline-approved, offline-declined, partial-approval, payment-stopped, pin-required, record-not-found, surcharge-not-permitted, transaction-reversed, verification-failed, unknown-issue, duplicate-transaction

networkTransactionID

string

retrievalReferenceNumber

string
The retrieval reference number assigned by the card network to the card payment.

status

string<enum>
Status of a card payment transaction.
Possible values: initiated, confirmed, canceled, settled, failed, completed

instantBankCredit

object
Show child attributes

network

string<enum> required
The network that the transaction was processed on.
Possible values: fednow, rtp

status

string<enum> required
Status of a transaction within the instant-bank lifecycle.
Possible values: initiated, completed, failed, accepted-without-posting

endToEndID

string

failureCode

string<enum>
Status codes for instant-bank failures.
Possible values: processing-error, invalid-account, account-closed, account-blocked, invalid-field, transaction-not-supported, limit-exceeded, invalid-amount, customer-deceased, participant-not-available, other

networkResponseCode

string

pullFromCard

object
Show child attributes

status

string<enum> required
Status of a pull-from-card transaction.
Possible values: initiated, failed, completed

authorizationCode

string

failureCode

string<enum>
Possible values: call-issuer, do-not-honor, processing-error, invalid-transaction, invalid-amount, no-such-issuer, reenter-transaction, cvv-mismatch, lost-or-stolen, insufficient-funds, invalid-card-number, invalid-merchant, expired-card, incorrect-pin, transaction-not-allowed, suspected-fraud, amount-limit-exceeded, velocity-limit-exceeded, revocation-of-authorization, card-not-activated, issuer-not-available, could-not-route, cardholder-account-closed, account-closed, account-not-activated, authentication-failed, authentication-required, cardholder-action-required, format-error, invalid-pin, offline-approved, offline-declined, partial-approval, payment-stopped, pin-required, record-not-found, surcharge-not-permitted, transaction-reversed, verification-failed, unknown-issue, duplicate-transaction

networkResponseCode

string

networkTransactionID

string

pushToCard

object
Show child attributes

status

string<enum> required
Status of a push-to-card transaction.
Possible values: initiated, deferred, canceled, failed, completed

authorizationCode

string

failureCode

string<enum>
Possible values: call-issuer, do-not-honor, processing-error, invalid-transaction, invalid-amount, no-such-issuer, reenter-transaction, cvv-mismatch, lost-or-stolen, insufficient-funds, invalid-card-number, invalid-merchant, expired-card, incorrect-pin, transaction-not-allowed, suspected-fraud, amount-limit-exceeded, velocity-limit-exceeded, revocation-of-authorization, card-not-activated, issuer-not-available, could-not-route, cardholder-account-closed, account-closed, account-not-activated, authentication-failed, authentication-required, cardholder-action-required, format-error, invalid-pin, offline-approved, offline-declined, partial-approval, payment-stopped, pin-required, record-not-found, surcharge-not-permitted, transaction-reversed, verification-failed, unknown-issue, duplicate-transaction

networkResponseCode

string

networkTransactionID

string

wire

object
Wire-specific processing details returned on a transfer.
Show child attributes

status

string<enum> required
Status of a transaction within the wire lifecycle.
Possible values: initiated, completed, failed, returned

failureCode

string<enum>
Status codes for wire failures.
Possible values: processing-error, invalid-account, account-closed, account-blocked, invalid-field, transaction-not-supported, limit-exceeded, invalid-amount, other

networkResponseCode

string
Response code returned by the network on failure.

transferID

string required

transferType

string<enum> required
The rail and direction used to move funds for a transfer.
Possible values: card-payment, push-to-card, pull-from-card, ach-debit, ach-credit, ach-debit-to-ach-credit, instant-bank-credit, wallet, wire-credit

amount

object
Amount associated with this transfer. In v2026.10 and later, an auth-capture card-payment transfer reports the approved authorization amount until a final capture is created. For these transfers, when a final capture is created, this is updated to the cumulative captured amount. For other transfer types, this is the transfer amount.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

amountDetails

object
Show child attributes

surcharge

object
The amount of surcharge applied to the transfer.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

tax

object
The amount of tax applied to the transfer.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

tip

object
The amount of tip applied to the transfer.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

authorization

object
Authorization amounts. This field is present only for an auth-capture card-payment transfer.
Authorization and capture amounts for an auth-capture card-payment transfer.
Show child attributes

authorizationID

string required
Identifier for the authorization.

authorizedAmount

object required
Hold approved by the issuer.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

capturableAmount

object required
Amount of the authorization still available after captures and authorization cancellations.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

capturedAmount

object required
Cumulative amount of captures that have not failed or been canceled.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

expiresOn

string<date-time>
Expiration time for the approved authorization, when available.

requestedAmount

object required
Amount submitted for authorization.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

completedOn

string<date-time>

description

string <=128 characters
An optional description of the transfer that is used on receipts and for your own internal use.

destination

object
Show child attributes

account

object
Show child attributes

accountID

string required

displayName

string required

email

string required

applePay

object
Describes an Apple Pay token on a Moov account.
Show child attributes

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardDisplayName

string required

User-friendly name of the tokenized card returned by Apple.

It usually contains the brand and the last four digits of the underlying card. There is no standard format.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

dynamicLastFour

string required
The last four digits of the Apple Pay token, which may differ from the tokenized card's last four digits.

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

issuerCountry

string
Country where the underlying card was issued.

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

card

object
A card as contained within a payment method.
Show child attributes

billingAddress

object required
The billing address associated with the card.
Show child attributes

addressLine1

string <=60 characters
Street address line 1.

addressLine2

string <=32 characters
Street address line 2 (e.g., apartment or suite number).

city

string <=32 characters
City name.

country

string <=2 characters
Two-letter ISO 3166-1 country code.

postalCode

string <=10 characters required
Postal or ZIP code.

stateOrProvince

string <=2 characters
Two-letter state or province code.

bin

string [6 to 8] characters required
The first six to eight digits of the card number, which identifies the financial institution that issued the card.

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardID

string required
ID of the card.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

cardVerification

object required
The results of submitting cardholder data to a card network for verification.
Show child attributes

addressLine1

string required
Verification result of the billing address line 1. Derived from the same AVS code as postalCode; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

cvv

string required
Verification result of the card's CVV.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

postalCode

string required
Verification result of the billing address postal code. Derived from the same AVS code as addressLine1; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

accountName

object
Verification results of the cardholder's name, broken down by name component.
The results of submitting cardholder name to a card network for verification.
Show child attributes

firstName

string
Verification result of the cardholder's first name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

fullName

string
Verification result of the cardholder's full name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

lastName

string
Verification result of the cardholder's last name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

middleName

string
Verification result of the cardholder's middle name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

lastFourCardNumber

string 4 characters required
Last four digits of the card number

cardAccountUpdater

object
The results of the most recent card update request.
Show child attributes

updateType

string<enum>
The results of the card update request.
Possible values: unspecified, account-closed, contact-cardholder, expiration-update, no-change, no-match, number-update

updatedOn

string<date-time>
Timestamp from the card network indicating when the card update was processed.

cardOnFile

boolean
Indicates cardholder has authorized card to be stored for future payments.

domesticPullFromCard

string<enum>
Indicates if the card supports domestic pull-from-card transfer.
Possible values: not-supported, supported, unknown

domesticPushToCard

string<enum>
Indicates which level of domestic push-to-card transfer is supported by the card, if any.
Possible values: not-supported, standard, fast-funds, unknown

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

merchantAccountID

string
Merchant account whose details (statement descriptor, address, etc.) are used for the card verification authorization. If omitted, the partner account's details are used instead.

googlePay

object
Describes a Google Pay token on a Moov account.
Show child attributes

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardDisplayName

string required

User-friendly name of the tokenized card returned by Google Pay.

It usually contains the last four digits of the underlying card. There is no standard format.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

dynamicLastFour

string 4 characters required
The last four digits of the Google Pay token, which may differ from the tokenized card's last four digits.

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

tokenID

string required
The unique identifier of the Google Pay token.

authMethod

string<enum>
The authentication method used for the Google Pay token.
Possible values: PAN_ONLY, CRYPTOGRAM_3DS

issuerCountry

string
Country where the underlying card was issued.

paymentMethodID

string

paymentMethodType

string<enum>
The payment method type that represents a payment rail and directionality
Possible values: moov-wallet, ach-debit-fund, ach-debit-collect, ach-credit-standard, ach-credit-same-day, rtp-credit, card-payment, push-to-card, pull-from-card, apple-pay, card-present-payment, instant-bank-credit, push-to-apple-pay, pull-from-apple-pay, google-pay, push-to-google-pay, pull-from-google-pay, wire-credit

wallet

object
Show child attributes

partnerAccountID

string<uuid> required

walletID

string required

walletType

string<enum> required

Type of a wallet.

  • default: The system-generated wallet automatically created when an account is granted the wallet capability.
  • general: An additional, user-defined wallet created via API or Dashboard.
  • card-issuing: The system-generated wallet automatically created when an account is granted the card-issuing capability.
Possible values: default, general, card-issuing

disputedAmount

object
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

facilitatorFee

object
Total or markup fee.
Show child attributes

markup

object
Markup facilitator fee.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

total

object
Total facilitator fee.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

failureReason

string<enum>
Reason for a transfer's failure.
Possible values: source-payment-error, destination-payment-error, wallet-insufficient-funds, rejected-high-risk, processing-error

foreignID

string
Optional alias from a foreign/external system which can be used to reference this resource.

groupID

string

lineItems

object
An optional collection of line items for a transfer. When line items are provided, their total plus tax must equal the transfer amount.
Show child attributes

items

array<object> required
The list of line items.
Show child attributes

basePrice

object
The base price of the item before applying option modifiers.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

images

array<object>
Optional list of images associated with this line item.
Show child attributes

altText

string <=125 characters
Alternative text for the image.

imageID

string
Unique identifier for a image resource.

link

string<uri>
The image's public URL.

publicID

string Pattern
A unique identifier for an image, used in public image links.

name

string [1 to 150] characters
The name of the item.

options

array<object>
Optional list of modifiers applied to this item (e.g., toppings, upgrades, customizations).
Show child attributes

group

string <=100 characters
Optional group identifier to categorize related options (e.g., 'toppings').

images

array<object>
Optional list of images associated with this line item option.
Show child attributes

altText

string <=125 characters
Alternative text for the image.

imageID

string
Unique identifier for a image resource.

link

string<uri>
The image's public URL.

publicID

string Pattern
A unique identifier for an image, used in public image links.

name

string [1 to 150] characters
The name of the option or modifier.

priceModifier

object
Optional price modification applied by this option. Can be positive, negative, or zero.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

quantity

integer<int32>
The quantity of this option.

productID

string
Optional unique identifier associating the line item with a product.

quantity

integer<int32>
The quantity of this item.

metadata

object
Free-form key-value pair list. Useful for storing information that is not captured elsewhere.

moovFee

object
Fees charged to your platform account for transfers.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

moovFeeDetails

object
Processing and pass-through costs that add up to the moovFee.
Show child attributes

moovProcessing

object required
Moov processing fee. String type represents dollars with up to 9 decimal place precision.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

cardScheme

object
Card scheme fees accrued during authorization and settlement. String type represents dollars with up to 9 decimal place precision.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

discount

object
Network discount fee for American Express. String type represents dollars with up to 9 decimal place precision.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

interchange

object
Network interchange fee for Visa, Mastercard, or Discover. String type represents dollars with up to 9 decimal place precision.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

occurrenceID

string

paymentLinkCode

string

refundedAmount

object
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

scheduleID

string

source

object
Show child attributes

account

object
Show child attributes

accountID

string required

displayName

string required

email

string required

applePay

object
Describes an Apple Pay token on a Moov account.
Show child attributes

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardDisplayName

string required

User-friendly name of the tokenized card returned by Apple.

It usually contains the brand and the last four digits of the underlying card. There is no standard format.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

dynamicLastFour

string required
The last four digits of the Apple Pay token, which may differ from the tokenized card's last four digits.

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

issuerCountry

string
Country where the underlying card was issued.

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

card

object
A card as contained within a payment method.
Show child attributes

billingAddress

object required
The billing address associated with the card.
Show child attributes

addressLine1

string <=60 characters
Street address line 1.

addressLine2

string <=32 characters
Street address line 2 (e.g., apartment or suite number).

city

string <=32 characters
City name.

country

string <=2 characters
Two-letter ISO 3166-1 country code.

postalCode

string <=10 characters required
Postal or ZIP code.

stateOrProvince

string <=2 characters
Two-letter state or province code.

bin

string [6 to 8] characters required
The first six to eight digits of the card number, which identifies the financial institution that issued the card.

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardID

string required
ID of the card.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

cardVerification

object required
The results of submitting cardholder data to a card network for verification.
Show child attributes

addressLine1

string required
Verification result of the billing address line 1. Derived from the same AVS code as postalCode; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

cvv

string required
Verification result of the card's CVV.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

postalCode

string required
Verification result of the billing address postal code. Derived from the same AVS code as addressLine1; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

accountName

object
Verification results of the cardholder's name, broken down by name component.
The results of submitting cardholder name to a card network for verification.
Show child attributes

firstName

string
Verification result of the cardholder's first name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

fullName

string
Verification result of the cardholder's full name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

lastName

string
Verification result of the cardholder's last name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

middleName

string
Verification result of the cardholder's middle name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

lastFourCardNumber

string 4 characters required
Last four digits of the card number

cardAccountUpdater

object
The results of the most recent card update request.
Show child attributes

updateType

string<enum>
The results of the card update request.
Possible values: unspecified, account-closed, contact-cardholder, expiration-update, no-change, no-match, number-update

updatedOn

string<date-time>
Timestamp from the card network indicating when the card update was processed.

cardOnFile

boolean
Indicates cardholder has authorized card to be stored for future payments.

domesticPullFromCard

string<enum>
Indicates if the card supports domestic pull-from-card transfer.
Possible values: not-supported, supported, unknown

domesticPushToCard

string<enum>
Indicates which level of domestic push-to-card transfer is supported by the card, if any.
Possible values: not-supported, standard, fast-funds, unknown

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

merchantAccountID

string
Merchant account whose details (statement descriptor, address, etc.) are used for the card verification authorization. If omitted, the partner account's details are used instead.

googlePay

object
Describes a Google Pay token on a Moov account.
Show child attributes

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardDisplayName

string required

User-friendly name of the tokenized card returned by Google Pay.

It usually contains the last four digits of the underlying card. There is no standard format.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

dynamicLastFour

string 4 characters required
The last four digits of the Google Pay token, which may differ from the tokenized card's last four digits.

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

tokenID

string required
The unique identifier of the Google Pay token.

authMethod

string<enum>
The authentication method used for the Google Pay token.
Possible values: PAN_ONLY, CRYPTOGRAM_3DS

issuerCountry

string
Country where the underlying card was issued.

paymentMethodID

string

paymentMethodType

string<enum>
The payment method type that represents a payment rail and directionality
Possible values: moov-wallet, ach-debit-fund, ach-debit-collect, ach-credit-standard, ach-credit-same-day, rtp-credit, card-payment, push-to-card, pull-from-card, apple-pay, card-present-payment, instant-bank-credit, push-to-apple-pay, pull-from-apple-pay, google-pay, push-to-google-pay, pull-from-google-pay, wire-credit

terminalCard

object
Describes payment card details captured with tap or in-person payment.
Show child attributes

applicationID

string
Identifier for the point of sale terminal application.

applicationName

string
Name label for the point of sale terminal application.

bin

string [6 to 8] characters

brand

string<enum>
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardType

string<enum>
The type of the card.
Possible values: debit, credit, prepaid, unknown

entryMode

string<enum>
How the card information was entered into the point of sale terminal.
Possible values: contactless

expiration

object
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

lastFourCardNumber

string 4 characters
Last four digits of the card number

transferID

string
String present only if the transfer is part of a transfer group.

wallet

object
Show child attributes

partnerAccountID

string<uuid> required

walletID

string required

walletType

string<enum> required

Type of a wallet.

  • default: The system-generated wallet automatically created when an account is granted the wallet capability.
  • general: An additional, user-defined wallet created via API or Dashboard.
  • card-issuing: The system-generated wallet automatically created when an account is granted the card-issuing capability.
Possible values: default, general, card-issuing

status

string<enum>
Status of a transfer.
Possible values: created, pending, completed, failed, reversed, queued, awaiting-capture, canceled

sweepID

string